Subject: Re: [v4tov6transition] draft-arkko-ipv6-transition-guidelines WGLC

From: <[email-masked]>
Date: Thu, 2 Sep 2010 12:03:19 +0900

Hi Remi, Fred and Jari,

FYI,
SPs in Japan, BBIX, Internet Multifeed, JPIX and IIJ-II unveil the intention of 
adopting SAM/4rd as a solution for their IPv4 service over IPv6 native network.

We then support including Remi's helpful comment for section 4.3 in the draft.

Please take look at these joint press release.

BBIX:
http://www.bbix.net/press/file/press_20100831.pdf

Internet Multifeed:
http://www.mfeed.co.jp/press/2010/pdf/20100831.pdf

JPIX:
http://www.jpix.ad.jp/jp/pdf/20100831_001.pdf

IIJ-II:
http://www.iij.ad.jp/news/pressrelease/2010/0831.html

Since these documents are written in Japanese originally, English page does not 
available by now. So please read these with online translation service (not sure that quality), 
or find your friend who can read Japanese. Sorry for that inconvenience.

--
Satoru Matsushima

> -----Original Message-----
> From: Rémi Després [mailto:[email-masked]] 
> Sent: Tuesday, August 31, 2010 7:06 PM
> To: Fred Baker; Jari Arkko
> Cc: IPv6 v6ops; Kurt Erik Lindqvist; Ron Bonica; 
> [email-masked]
> Subject: Re: draft-arkko-ipv6-transition-guidelines WGLC
> 
> Hi Fred, hi Jari,
> 
> Sorry for the late answer.
> 1.
> The main issue I see is the need for a better balance between 
> dual stack throughout and IPv6 across IPv4 infrastructures as 
> recommended approaches for rapid deployments.
> The latter approach is more recent (with RFC 5569 and RFC 
> 5969 issued in January and August 2010 respectively) but, as 
> it proved to be the preferred one by a number of ISPs for 
> their first deployment, it should be documented as such.
> 2.
> Also, there appears a converging interest for 4rd, the 
> reverse of 6rd for IPv4 connectivity across IPv6-only ISP 
> infrastructures (draft-vautrin-softwire-4rd-00 and 
> draft-despres-softwire-sam-01 sec. 3.2).
> As it is a potential alternative or complement to DS-lite, 
> that some ISPs can consider, and that at least one does 
> consider on a confidential basis, it should IMHO be 
> mentioned. (Of course it shouldn't be hidden that the 
> specification is still much less advanced than that of DS-lite).      
> 
> Attached is a modified version of draft-06, in PDF and and in 
> .doc, in  which I propose an example text to cover these points.
> 
> Regards,
> RD
> 
>

---

From: "Lee, Yiu" <[email-masked]>
Date: Wed, 1 Sep 2010 23:08:19 -0400

Hi Satoru,

I assume most people on the list don't read Japanese. If you can summarize the press release to us, it will be much appreciated.

Thanks,
Yiu

On Sep 1, 2010, at 11:04 PM, "[email-masked]" <[email-masked]> wrote:

> _______________________________________________
> v4tov6transition mailing list
> https://www.ietf.org/mailman/listinfo/v4tov6transition

---

From: Tina TSOU <[email-masked]>
Date: Thu, 02 Sep 2010 11:32:09 +0800

Hi Matsushima-san,
It is very useful sharing.
I read the slides by my guessing Japanese and Chinese characters.

Would you like to share your SAM/4rd use case in Internet Draft form for Sep 
21/22 WebEx meeting (I'm discussing with Fred whether change the date to one 
day earlier, i.e. Sep 20/21, due to the Mid Autumn Festival in some Asian 
countries)?
Especially, people may be interested at how the network devices and CPE 
needs to change to meet the SAM/4rd requirements? Is there other experience 
besides the RFC related to SAM/4rd?

Here is the original meeting scheduling, might be subject to change.

http://www.ietf.org/mail-archive/web/v4tov6transition/current/msg00074.html

There were two I-Ds posted for the v4tov6transition work.
http://tools.ietf.org/html/draft-lee-v4v6tran-problem-00
http://tools.ietf.org/html/draft-carpenter-v4v6tran-framework-00
You comments are very welcome.

I-Ds in the pipeline:
http://www.ietf.org/mail-archive/web/v4tov6transition/current/msg00129.html

B. R.
Tina
http://tinatsou.weebly.com

----- Original Message ----- 
From: "Lee, Yiu" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Thursday, September 02, 2010 11:08 AM
Subject: Re: [v4tov6transition] draft-arkko-ipv6-transition-guidelines WGLC

> Hi Satoru,
>
> I assume most people on the list don't read Japanese. If you can summarize 
> the press release to us, it will be much appreciated.
>
> Thanks,
> Yiu
>
> On Sep 1, 2010, at 11:04 PM, "[email-masked]" 
> <[email-masked]> wrote:
>
>> Hi Remi, Fred and Jari,
>>
>> FYI,

---

From: <[email-masked]>
Date: Thu, 2 Sep 2010 15:21:51 +0900

Hi Yiu,

> Hi Satoru,
> 
> I assume most people on the list don't read Japanese.

Right.

> If you can summarize the press release to us, it will be much appreciated.

Yes, I'll summarize it in English.

Best regards,

--
Satoru Matsushima

---

From: <[email-masked]>
Date: Thu, 2 Sep 2010 15:56:59 +0900

Hi TSOU-san,

> I read the slides by my guessing Japanese and Chinese characters.

Thank you for your effort!

> 21/22 WebEx meeting (I'm discussing with Fred whether change 
> the date to one day earlier, i.e. Sep 20/21, due to the Mid 
> Autumn Festival in some Asian countries)?
> Especially, people may be interested at how the network 
> devices and CPE needs to change to meet the SAM/4rd 
> requirements? Is there other experience besides the RFC 
> related to SAM/4rd?

I'm sorry. I'm not available on that schedule, and also time is limited
even if I start now to drafting our use case in I-D form...
The purpose of mailing is for sharing the SP's intention of SAM/4rd
and supporting Remi's comment.

--
Satoru Matsushima

---

From: Tina TSOU <[email-masked]>
Date: Thu, 02 Sep 2010 15:17:34 +0800

B. R.
Tina
http://tinatsou.weebly.com/index.html
----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Thursday, September 02, 2010 2:56 PM
Subject: RE: [v4tov6transition] draft-arkko-ipv6-transition-guidelines WGLC

Hi TSOU-san,

[Tina: Your sharing is appreciated.]

--
Satoru Matsushima

---

From: Rémi Després <[email-masked]>
Date: Thu, 2 Sep 2010 09:42:21 +0200

Le 2 sept. 2010 à 05:32, Tina TSOU a écrit :

> Would you like to share your SAM/4rd use case in Internet Draft form for Sep 21/22 WebEx meeting (I'm discussing with Fred whether change the date to one day earlier, i.e. Sep 20/21, due to the Mid Autumn Festival in some Asian countries)?
> Especially, people may be interested at how the network devices and CPE needs to change to meet the SAM/4rd requirements? Is there other experience besides the RFC related to SAM/4rd?

Actually, SAM/4rd isn't described in any RFC yet.
The reference is draft-despres-softwire-sam-01.
- Section 2 describes the generic Stateless Address mapping model (SAM).
- Section 3.2 focuses on IPv4 across IPv6 infrastructures (4rd).
- How to statelessly share IPv4 public addresses using port-extended addresses is covered in section 2.4 (IPv4E).

Regards,
RD

> ----- Original Message ----- From: "Lee, Yiu" <[email-masked]>

---

From: Tina TSOU <[email-masked]>
Date: Thu, 02 Sep 2010 15:54:06 +0800

B. R.
Tina
----- Original Message ----- 
From: "Rémi Després" <[email-masked]>
To: "Tina TSOU" <[email-masked]>
Cc: <[email-masked]>; "Lee, Yiu" 
<[email-masked]>; <[email-masked]>; 
<[email-masked]>; <[email-masked]>
Sent: Thursday, September 02, 2010 3:42 PM
Subject: Re: [v4tov6transition] draft-arkko-ipv6-transition-guidelines WGLC

Le 2 sept. 2010 à 05:32, Tina TSOU a écrit :

> Would you like to share your SAM/4rd use case in Internet Draft form for 
> Sep 21/22 WebEx meeting (I'm discussing with Fred whether change the date 
> to one day earlier, i.e. Sep 20/21, due to the Mid Autumn Festival in some 
> Asian countries)?
> needs to change to meet the SAM/4rd requirements? Is there other 
> experience besides the RFC related to SAM/4rd?

Actually, SAM/4rd isn't described in any RFC yet.
The reference is draft-despres-softwire-sam-01.
- Section 2 describes the generic Stateless Address mapping model (SAM).
- Section 3.2 focuses on IPv4 across IPv6 infrastructures (4rd).
- How to statelessly share IPv4 public addresses using port-extended 
addresses is covered in section 2.4 (IPv4E).
[Tina: That means you created both 4rd and 6rd, and you deployed 6rd, and 
let Japanese operators deploy 4rd? A la la;-) AFAICS, there are NA cable, 
broadband fixed, mobile use case I-Ds are in the pipeline. Perhaps SAM/4rd 
needs to be referenced at least in one of them.]

Regards,
RD

>> I assume most people on the list don't read Japanese. If you can 
>> summarize the press release to us, it will be much appreciated.
>>
>> Thanks,
>> Yiu
>>

---

From: Satoru Matsushima <[email-masked]>
Date: Mon, 20 Sep 2010 16:42:18 +0900

Yiu, Tina, and all,

I'm sorry for the delay.
Here is the summary of press release contents from Japanese ISPs. I hope that it could be helpful 
for tomorrow webex discussion.

o They had co-worked to find what most efficient solution for IPv4 service over native IPv6 network.
o The background is that they are going to provide IPv6 service from 2011, but they also need to 
   provide IPv4 service as well.
o Significant requirements for the solution are:

  1. Sharing a IPv4 address among many of customers with highest cost efficiency
     -> The analogy of SAM/4rd is as same as 6rd, it could be expected that high cost efficiency with 
        stateless operation. NAT state only exist on the CPE side.

  2. As much as simple provisioning and configuration
     -> CPE can automatically configure its IPv4 address from delegated IPv6 prefix.

  3. Optimized routing path for IPv4 service on the native IPv6 network (need mesh capability)
     -> SAM/4rd allow CPE to CPE packet flow on optimized routing path in the IPv6 network.

Since 4rd (IPv4 residual deployment), which is a part of IPv4 over IPv6 scenario of SAM
(draft-despres-softwire-sam) satisfy these requirements, the ISPs intent to adopt SAM/4rd 
for their IPv4 solution.

Best regards,

--
Satoru Matsushima

---

From: "Yiu L. Lee" <[email-masked]>
Date: Mon, 20 Sep 2010 12:08:40 -0400

Hi Satoru,

I will try to capture those requirements to the PS draft. If you can provide
a use case draft of your design to share amongst IETF, this will be much
appreciated.

Thanks,
Yiu

On 9/20/10 3:42 AM, "Satoru Matsushima" <[email-masked]> wrote:

> On 2010/09/02, at 15:21, <[email-masked]>

---

From: Rémi Després <[email-masked]>
Date: Mon, 20 Sep 2010 19:19:16 +0200

Hi Yiu,

> ... If you can provide

The following extract from draft-despres-softwire-sam-01 is about the SAM/4rd use case Satoru mentioned.

<<<
As some ISPs have started deploying IPv6-only networks, typically for high bandwidth applications, some of their customers may need connectivity with the IPv4 Internet.  Some approaches have been studied to satisfy this need, in particular [DSTM], but they were based on rather complex stateful solutions and were not pursued.  A stateless solution, much simpler, is possible with SAM.  Being the reverse of that satisfied by 6rd, i.e. native IPv6 across IPv4-only networks, we call it "4rd" (IPv4 "residual deployment").
...
Figure 3 and Figure 4 detail two examples of 4rd SAM configurations. In the first one, the ISP has enough IPv4 addresses for all its IPv6 customers to obtain a public IPv4 address.  In the second one, each IPv6 customer only obtains a shared public IPv4 address, with a port set defined by its assigned IPv4E prefix.  Note that an ISP, using different IPv6 and IPv4 prefixes, can assign full IPv4 addresses to some of its customers, and shared IPv4 addresses to others, possibly with different sizes of port sets. 

Pointing to existing texts for a start could IMHO avoid proliferation of documents describing the same thing.
It limit time spent writing them... and also reading them.
That said, of course, Satoru remains of course most welcome to tell more when he can do it. 

Cheers,
RD